/**
 * Thrown if some required driver's option is not set.
 */
export class DriverOptionNotSetError extends Error {
    constructor(optionName) {
        super();
        this.name = "DriverOptionNotSetError";
        Object.setPrototypeOf(this, DriverOptionNotSetError.prototype);
        this.message = `Driver option (${optionName}) is not set. Please set it to perform connection to the database.`;
    }
}
//# sourceMappingURL=DriverOptionNotSetError.js.map